#include <iostream>

using namespace std;

int main()
{
   string slova;
   cin>>slova;
   char c1 = slova[0];
   char c2 = slova[1];
   long long a1;
   long long a2;
   cin>> a1>>a2;
   if(c1==c2)
   {
        cout<<"nemoguce";
   }

   long long minimalno=min(a1,a2);
   long long maksimalno=max(a1,a2);

   if(maksimalno-minimalno > 1)
   {
        cout<<"nemoguce";
   }


   else
   {
      if(a1==a2)
      {
        for(long long i=0;i<a1;i++)
            {
                cout<<c1<<c2;

            }
      }
      if(a1>a2)
      {
        cout<<c1;
        for(long long i=0;i<a2;i++)
            {
                cout<<c2<<c1;

            }
      }
      if(a1<a2)
      {
        cout<<c2;
        for(long long i=0;i<a1;i++)
            {
                cout<<c1<<c2;

            }
      }

   }


   return 0;

}